---

- name: check if configured mongodb are available
  wait_for:
    host: "{{ application_properties['mongoDb.clientURI'] | urlsplit('hostname') }}"
    port: "{{ application_properties['mongoDb.clientURI'] | urlsplit('port') }}"
    delay: 1              # No wait before first check (sec)
    timeout: 5            # Stop checking after timeout (sec)
  ignore_errors: true
  retries: 10
  delay: 10

- name: check configured solr are available
  wait_for:
    host: "{{ application_properties['solr.url'] | urlsplit('hostname') }}"
    port: "{{ application_properties['solr.url'] | urlsplit('port') }}"
    delay: 1              # No wait before first check (sec)
    timeout: 5            # Stop checking after timeout (sec)
  ignore_errors: true
  retries: 10
  delay: 10
  when: application_properties['solr.url'] is defined

- name: check configured content server are available
  wait_for:
    host: "{{ application_properties['repository.url'] | urlsplit('hostname') }}"
    port: "{{ application_properties['repository.url'] | urlsplit('port') }}"
    delay: 1              # No wait before first check (sec)
    timeout: 5            # Stop checking after timeout (sec)
  ignore_errors: true
  retries: 10
  delay: 10
  when: application_properties['solr.url'] is defined

- name: ensure {{ role_name }} is started
  service:
    name: "{{ role_name }}"
    state: started
    enabled: true
